summaryrefslogtreecommitdiff
path: root/fw/btl/configure.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fw/btl/configure.sh')
-rwxr-xr-xfw/btl/configure.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/fw/btl/configure.sh b/fw/btl/configure.sh
new file mode 100755
index 0000000..87df3d2
--- /dev/null
+++ b/fw/btl/configure.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+
+set -eufx
+
+
+cmake \
+ "-S$1" \
+ "-B$2" \
+ "-DBOARD=$3" \
+ "-DZEPHYR_BASE=$4" \
+ "-DZEPHYR_MODULES=${5}" \
+ "-DEXTRA_CONF_FILE=${6}" \
+ "-DCONFIG_BOOT_SIGNATURE_KEY_FILE=\"${7}\""